Page MenuHomePhabricator

Limit Massviews interface to groups with 500 or fewer pages
Closed, ResolvedPublic2 Estimated Story Points

Description

If someone requests analysis on a page pile or category with more than 500 pages, instead of showing them results, show them a message that says the interface is limited to groups with 500 pages. We'll hopefully come up with a better solution for bigger groups later.

Event Timeline

kaldari created this task.May 17 2016, 5:23 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 17 2016, 5:23 PM
DannyH triaged this task as Medium priority.May 17 2016, 5:25 PM
DannyH set the point value for this task to 2.
DannyH moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.

Huh??? What does this have to do with dead links detection?

DannyH added a subscriber: DannyH.

Sorry, I added it to the wrong tracking. Phabricator is hard sometimes. :)

This is a good point. Users of course want to see data for all of the pages, and if they're only getting 500 of them, they probably care much less about the results as it would be incomplete =P

Hopefully T124314 will allow us to bring up the limit quite a bit. I'm going to wait on that before exploring the idea of using more aggressive throttling to allow processing of larger collections.

@MusikAnimal: FYI: Analytics says they are going to work on T124314 soon. They also say that the API is currently being swamped, so I agree that we should put off considering larger collections for now.

kaldari moved this task from Ready to Q1 2018-19 on the Community-Tech-Sprint board.
kaldari closed this task as Resolved.May 26 2016, 5:18 AM
kaldari claimed this task.

I know this have been resolved, but thought I'd comment here: I was wondering if we should add support for pagination. Currently, users are free to wait the 90 seconds before using Massviews again, but they can only run it on the first 500 entries the source gives us (Page Pile or a Category). I'm not sure about Page Pile, but we should be able to support pagination for categories. They of course would still have to wait 90 seconds before processing the next page would be allowed.

Does that sound worthwhile (within the scope of Community Tech)?

DannyH moved this task from Estimated to Archive on the Community-Tech board.Jun 6 2016, 11:57 PM

It sounds like a good idea, but probably not something for the Community Tech team to do unless other folks are actively asking for it.